Skip to content

resolvePriceList

WRITE

Resolve price list.

POST /api/v1/sales/resolvePriceList
curl -X POST '<your-host>/api/v1/sales/resolvePriceList' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "data": [
    {
      "itemId": "string",
      "partId": "string",
      "itemName": "string",
      "itemPostingGroupId": "string",
      "thumbnailPath": "string",
      "basePrice": 0,
      "resolvedPrice": 0,
      "isOverridden": true,
      "source": "Base",
      "trace": [
        {
          "step": "string",
          "source": "string",
          "amount": 0,
          "adjustment": 0,
          "ruleId": "string"
        }
      ],
      "overrideId": "string",
      "overrideQuantity": 0,
      "overrideNotes": "string",
      "overrideValidFrom": "string",
      "overrideValidTo": "string"
    }
  ],
  "count": 0
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "customerId": {
          "type": "string"
        },
        "customerTypeId": {
          "type": "string"
        },
        "search": {
          "type": "string"
        },
        "quantity": {
          "type": "number"
        }
      }
    }
  }
}